@import url('https://fonts.googleapis.com/css2?family=WDXL+Lubrifont+TC&display=swap');
*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "WDXL Lubrifont TC", sans-serif;
}
body{
	width: 100%;
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: black;
}
.contenedor{
	width: 800px;
	height: 500px;
	display: flex;
	position: relative;
	background-color: white;
	border-radius:15px ;
	overflow: hidden;
	box-shadow: 0 0 10px rgb(0, 0, 0 / 0.3);
}
.subcontenedor{
	width: 100%;
	overflow: hidden;

}
.subcontenedor form{
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	transition: transform 0.5s ease-in;
}
.subcontenedor h2{
	font-size: 30px;
	margin-bottom: 20px;
}

.subcontenedor span{
	font-size: 12px;
	margin-bottom: 15px;
}
.contenedor-input{
	width: 300px;
	height: 40px;
	margin-bottom: 10px;
	display: flex;
	justify-content: center;
	align-items: center;
	gap:8px;
	padding: 0 15px;
	background-color: #EEEEEE;
}
.contenedor-input input{
	border: none;
	outline: none;
	width: 100%;
	height: 100%;
	background-color: inherit;
}
.button{
	width:170px;
	height:45px;
	font-size: 15px;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	margin-top: 10px;
	background-color: #FF914D;
	color: white;

}
.registrosesion{
	transform: translateX(-100%);
}
.contenedor.toggle .iniciosesion{
	transform: translateX(100%);
}
.contenedor.toggle .registrosesion{
	transform: translateX(0);
}

.contenedor-bienvenida{
	position: absolute;
	width: 50%;
	height: 100%;
	display: flex;
	align-items: center;
	transform: translateX(100%);
	background-color: #0B0C2B;
	transition: transform 0.5s ease-in-out, border-radius 0.5s ease-in-out;
	overflow: hidden;
	border-radius: 50% 0 0 50%;
}
.contenedor.toggle .contenedor-bienvenida{
	transform:translateX(0) ;
	border-radius: 0 50% 50% 0;
	background-color: #0B0C2B;
}

.contenedor-bienvenida .bienvenida{
	position: absolute;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 20px;
	padding:0 50px ;
	color: #FF914D;
	transition:transform 0.5s ease in out;
}

.inicio-bienvenida{
	transform: translateX(100%);
}
.contenedor-bienvenida h3{
	font-size: 40px;
}
.contenedor-bienvenida p{
	font-size: 14px;
	text-align: center;
}
.contenedor-bienvenida .button{
	border: 2px solid white;
	background-color: transparent;
}

.contenedor.toggle .inicio-bienvenida{
	transform: translateX(0);
}
.contenedor.toggle .registro-bienvenida{
	transform: translateX(-100%);
}

#logo {
	width: 120px; /* ajusta según tu necesidad */
	height: auto;
	object-fit: contain;
	margin-bottom: 20px;
}